Method: projects.locations.dataDomains.create

Creates a DataDomain resource.

HTTP request

POST https://dataplex.googleapis.com/v1/{parent=projects/*/locations/*}/dataDomains

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The resource name of the parent location: projects/{project_id_or_number}/locations/{locationId}

Query parameters

Parameters
dataDomainId

string

Required. DataDomain identifier. * Must contain only lowercase letters, numbers and hyphens. * Must start with a letter. * Must be between 1-63 characters. * Must end with a number or a letter. * Must be unique within the project and location.

validateOnly

boolean

Optional. Only validate the request, but do not perform mutations.

Request body

The request body contains an instance of DataDomain.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dataplex.read-write

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • dataplex.dataDomains.create

For more information, see the IAM documentation.